#
# Spec file for package cryfs
#

Name:           cryfs-gui
Version:        1.3.4
Release:        %mkrel 1
Summary:        Qt GUI front end to cryfs and encfs
License:        GPL-2.0+
Group:          Security
Source:         %{name}-%{version}.tar.xz
URL:            http://mhogomchungu.github.io/cryfs-gui
#=================================
BuildRequires: cmake
BuildRequires: lib64gcrypt-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gpg-error-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64secret-devel
BuildRequires: kf5-macros
#=================================
Requires: cryfs
#=================================

%description
cryfs-gui is a Qt/C++ front end to encfs and cryfs.

%prep
%setup -q

%build
%cmake_kf5 -DCMAKE_INSTALL_PREFIX=/usr -DQT5=true -DNOKDESUPPORT=true -DNOSECRETSUPPORT=false -DCMAKE_BUILD_TYPE=RELEASE ..
%make

%install
rm -rf %buildroot
%make_install -C build

desktop-file-install --vendor="" \
     --add-category="X-MandrivaLinux-System-FileTools" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(0755,root,root)
%{_bindir}/cryfs_gui
%{_datadir}/applications/cryfs-gui.desktop

%dir %{_datadir}/cryfs-gui/translations
%dir %{_datadir}/cryfs-gui

%defattr(0644,root,root)
%{_datadir}/icons/hicolor/48x48/apps/cryfs-gui.png
%{_datadir}/pixmaps/cryfs-gui.png
%{_datadir}/cryfs-gui/translations/en_US.qm
%{_datadir}/cryfs-gui/translations/fr_FR.qm


%changelog
* Sun Apr 30 2017 ghostbunny <ghostbunny at gmx dot de> 1.3.4-1pclos2017
- 1.3.4
- update for new libgcrypt
- add missing BR kf5-macros

* Sun Jul 03 2016 bb <bb> 1.3.1-2pclos2016
- add req cryfs

* Sun Jul 03 2016 bb <bb> 1.3.1-1pclos2016
- create
